#!/bin/bash

drm_path=/sys/class/drm/
conn_list="card0-DSI-1 card0-DSI-2 card0-DP-1 card0-DP-2 card0-HDMI-A-1 card0-HDMI-A-2"

function conn_on()
{
	for l in ${conn_list}
	do
		if [ -d ${drm_path}/$l ]; then
			if [ ! -z $(echo $l | grep $1) ]; then
				echo $2 | sudo tee ${drm_path}/$l/status
			fi
		fi
	done
}

function get_conn_count()
{
	count=0
	for l in ${conn_list}
	do
		if [ -d ${drm_path}/$l ]; then
			if [ "$(cat ${drm_path}/$l/status)" == "connected" ]; then
				let count=${count}+1
			fi
		fi
	done

	echo ${count}
}

function dsi_on()
{
	conn_on DSI $1
}

function dp_on()
{
	conn_on DP $1
}

function hdmi_on()
{
	conn_on HDMI $1
}
count=$(get_conn_count)
if [ ${count} -lt 2 ]; then
	echo "There must be at lease one connected card !"
	exit 0
fi

DSI_ON="$(getprop dev.display.dsi)"
HDMI_ON="$(getprop dev.display.hdmi)"
DP_ON="$(getprop dev.display.dp)"

if [ "${DSI_ON}" == "on" ] || [ "${DSI_ON}" == "off" ]; then
	dsi_on ${DSI_ON}
fi
if [ "${HDMI_ON}" == "on" ] || [ "${HDMI_ON}" == "off" ]; then
	hdmi_on ${HDMI_ON}
fi
if [ "${DP_ON}" == "on" ] || [ "${DP_ON}" == "off" ]; then
	dp_on ${DP_ON}
fi
